<template>
  <v-data-table
    v-bind="dataInfo"
    :hide-default-footer="dataInfo.items.length <= itemsPerPage"
    @click:row="itemSelected"
    :loading="loading"
    loading-text="Cargando..."
    no-data-text="No se encontraron resultados"
    :sort-by="sortby"
    :sort-desc="sortdesc"
    :search="search"
    :items-per-page="itemsPerPage">
  </v-data-table>
</template>

<script>
  export default {
    props:{
      dataInfo: Object, //must have headers & items
      dataPath: Object, //must have url & id variable
      loading: Boolean,
      sortby: Array,
      sortdesc: Array,
      search: String,
      itemsPerPage: {type: Number, default: 10},
    },
    methods: {
      details(value){
        if (this.dataPath && this.dataPath.url && this.dataPath.id) {
          let path = this.dataPath.url + value[this.dataPath.id]
          this.$router.push(path)
        }
      },
      itemSelected(value) {
        this.$emit('itemSelected', value);
      }
    },
    filters: {
      formatDate: function(value){
        if(!value) return "Cargando...";
        let options = { year: 'numeric', month: 'long', day: 'numeric', hour12: 'true',timeStyle: 'short', dateStyle: 'long'}
        return new Date(value).toLocaleTimeString('es', options);
      }
    },
  }
</script>
<style scoped lang="scss">
</style>
